/*    Components    */


/*    Buttons    */

.button_ic{
    display: flex;
    flex-wrap: wrap;
    background: var(--blue-2);
    padding: 1vw;
    overflow: hidden;
    color: var(--white);
    font-size: var(--title);
    font-weight: bold;
    text-decoration: none;
    width: auto;
    height: auto;
    box-sizing: border-box;
    align-items: center;
}

.button_ic img{
    width: 1.5vw;
    height: 1.5vw;
    margin-right: 1vw;
    display: block;
}

.button_ic:hover{
    opacity: 0.8;
    cursor: pointer;
}


.submit{
    display: block;
    background: var(--blue-2);
    padding: 1vw;
    overflow: hidden;
    color: var(--white);
    font-size: var(--h3);
    font-weight: bold;
    text-decoration: none;
    width: 100%;
    height: auto;
    box-sizing: border-box;
    text-align: center;
    font-weight: normal;
    border: none;
    border-radius: 0;
    margin-top: var(--H5);
}

.submit:hover{
    opacity: 0.8;
    cursor: pointer;
}



/*    textfield    */

.textfield, input[type=text]{
    border: 0;
    border-color: var(--gray-1);
    color: var(--black-2);
    width: 100%;
    margin-bottom: var(--H5);
    background: none;
    border-bottom: 1px solid var(--gray-1);
    font-size: var(--title);
    padding-bottom: var(--H4);
}

.textfield::-webkit-input-placeholder {color: var(--gray-1); font-weight: normal; font-family: 'Interface', Arial;}
.textfield::-moz-placeholder {color: var(--gray-1); font-weight: normal; font-family: 'Interface', Arial;}
.textfield:-moz-placeholder {color: var(--gray-1); font-weight: normal; font-family: 'Interface', Arial;}
.textfield:-ms-input-placeholder {color: var(--gray-1); font-weight: normal; font-family: 'Interface', Arial;}

.textfield:focus{
    border-color: var(--blue-2);
}